<?xml version="1.0" encoding="utf-8"?>
<creole>
    <files>
    </files>
    <containers>
        <container name='web'>
            <package>eole-eoe-apps</package>
            <file filelist='eoe' name='/etc/eole/flask/available/eoe.conf'  source='eoe-eoe.conf'/>
        </container>
    </containers>
    <variables>
        <family name='applications web'>
            <variable name='activer_eoe' type='oui/non' description='Activer EOE (gestion de mot de passe élève)'>
                <value>oui</value>
            </variable>
        </family>
        <family name='eoleflask' mode='expert'>
            <variable redefine='True' name='activer_eoleapps'>
                <value>oui</value>
            </variable>
        </family>
    </variables>
    <constraints>
        <condition name='disabled_if_in' source='activer_sso'>
            <param>non</param>
            <target type='variable'>activer_eoe</target>
        </condition>
        <condition name="disabled_if_in" source="activer_eoleapps">
            <param>non</param>
            <target type='variable'>activer_eoe</target>
        </condition>
    <condition name='disabled_if_in' source='activer_eoe'>
            <param>non</param>
            <target type='filelist'>eoe</target>
        </condition>
    </constraints>
    <help>
        <variable name='activer_eoe'>EOE est une application web à destination des élèves</variable>
    </help>
</creole>
